Subject: Re: [PATCH 9/14] ps3: add interrupt alloc for outlets

From: Geoff Levand <[email-masked]>
Date: Thu, 25 Jan 2007 15:56:36 -0800

Geert Uytterhoeven wrote:
> On Thu, 25 Jan 2007, Benjamin Herrenschmidt wrote:
>> > +int ps3_alloc_irq(enum ps3_cpu_binding cpu, unsigned long outlet,
>> > +	unsigned int *virq)
>> > +{
>> > +	return ps3_connect_irq(cpu, outlet, virq);
>> > +}
>> > +
>> > +int ps3_free_irq(unsigned int virq)
>> > +{
>> > +	ps3_disconnect_irq(virq);
>> > +	return 0;
>> > +}
>> > +
>> >  #define PS3_INVALID_OUTLET ((irq_hw_number_t)-1)
>> >  #define PS3_PLUG_MAX 63
>> 
>> I'm not too fan of this... those 2 functions do strictly -nothing- other
>> than export the ones they call (not even changing arguments).
>> 
>> So why not export ps3_connect_irq / ps3_disconnect_irq directly ?
> 
> You're right. Originally they were all but trivial wrappers, but the recent
> interrupt improvements have changed this.
> 
> Do you have a preference which names to keep?
> 
>  1. ps3_connect_irq() and ps3_disconnect_irq() resemble the LV1 calls they
>     make,
>  2. ps3_alloc_irq() and ps3_free_irq() resemble the other
>     ps3_{alloc,free}_*_irq() names.

I think ps3_connect_irq() and ps3_disconnect_irq() are not consistent with
the existing routines, so I would perfer not to use those.  I'll post a new
patch that makes this change.

-Geoff